import request from '@/utils/request'

// 查询公益活动列表
export function listActivily(query) {
  return request({
    url: '/szxc/activily/list',
    method: 'get',
    params: query
  })
}

// 查询公益活动详细
export function getActivily(id) {
  return request({
    url: '/szxc/activily/' + id,
    method: 'get'
  })
}

// 新增公益活动
export function addActivily(data) {
  return request({
    url: '/szxc/activily',
    method: 'post',
    data: data
  })
}

// 修改公益活动
export function updateActivily(data) {
  return request({
    url: '/szxc/activily',
    method: 'put',
    data: data
  })
}

// 删除公益活动
export function delActivily(id) {
  return request({
    url: '/szxc/activily/' + id,
    method: 'delete'
  })
}
